Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 107072 - Redundant xendorsed attribute if target server is AS 9.0
Redundant xendorsed attribute if target server is AS 9.0
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: Code
5.x
All All
: P1 (vote)
: 5.x
Assigned To: Milan Kuchtiak
issues@webservices
release551_fixes_fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 19:52 UTC by Lukas Jungmann
Modified: 2007-06-29 17:26 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
patch (13.90 KB, text/plain)
2007-06-20 22:28 UTC, Lukas Jungmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jungmann 2007-06-18 19:52:42 UTC
xendorsed attribute is being added to the build script even if target server is AS 9.0, but it should not be there. See
also issue 102384.
Comment 1 Milan Kuchtiak 2007-06-19 10:20:29 UTC
There is a check for JaxWs21 commpliant server in org.netbeans.modules.websvc.jaxwsmodel.project.TransformerUtils.
This check probably doesn't work
Comment 2 Milan Kuchtiak 2007-06-19 14:56:17 UTC
The issue was already fixed in 6.0.
See also the issue 97132.
build-impl.xsl in web/ejb project need to be fixed similarly as in application client.
Comment 3 Lukas Jungmann 2007-06-19 15:01:48 UTC
> build-impl.xsl in web/ejb project need to be fixed similarly as in application client.

should be read as:
build-impl.xsl in appclient project need to be fixed similarly as in web/ejb.
Comment 4 Lukas Jungmann 2007-06-20 22:28:57 UTC
Created attachment 44116 [details]
patch
Comment 5 Lukas Jungmann 2007-06-20 22:37:28 UTC
Milan, can you review attached diff, please?

Michal, can you check patched nbm I've already sent you privately, please?

Thanks.
Comment 6 Michal Mocnak 2007-06-21 12:55:28 UTC
Verified
Comment 7 Milan Kuchtiak 2007-06-21 15:36:25 UTC
Dhe patch for 5.5.1 looks fine. 
Comment 8 pgebauer 2007-06-26 20:20:51 UTC
The changes has been integrated into the release551_fixes branch.

Checking in src/org/netbeans/modules/j2ee/clientproject/AppClientProject.java;
/cvs/j2ee/clientproject/src/org/netbeans/modules/j2ee/clientproject/AppClientProject.java,v  <--  AppClientProject.java
new revision: 1.1.4.25.8.1.4.1; previous revision: 1.1.4.25.8.1
done
Checking in src/org/netbeans/modules/j2ee/clientproject/wsclient/AppClientProjectJAXWSVersionProvider.java;
/cvs/j2ee/clientproject/src/org/netbeans/modules/j2ee/clientproject/wsclient/AppClientProjectJAXWSVersionProvider.java,v
 <--  AppClientProjectJAXWSVersionProvider.java
new revision: 1.3.6.1; previous revision: 1.3
done
Checking in src/org/netbeans/modules/j2ee/clientproject/resources/build-impl.xsl;
/cvs/j2ee/clientproject/src/org/netbeans/modules/j2ee/clientproject/resources/build-impl.xsl,v  <--  build-impl.xsl
new revision: 1.1.4.25.8.5.4.2; previous revision: 1.1.4.25.8.5.4.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo